org.eclipse.mat.ui.internal.views

## Class NavigatorViewPage

- java.lang.Object
- - org.eclipse.ui.part.Page
  - - org.eclipse.mat.ui.internal.views.NavigatorViewPage

All Implemented Interfaces:
  org.eclipse.jface.viewers.IDoubleClickListener, org.eclipse.jface.viewers.ISelectionProvider, NavigatorState.IStateChangeListener, org.eclipse.ui.part.IPage, org.eclipse.ui.part.IPageBookViewPage

    public class NavigatorViewPage
    extends org.eclipse.ui.part.Page
    implements org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.jface.viewers.IDoubleClickListener, NavigatorState.IStateChangeListener

### Constructor Summary

Constructors
Constructor and Description
`NavigatorViewPage(MultiPaneEditor editor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`void` `dispose()`
`void` `doubleClick(org.eclipse.jface.viewers.DoubleClickEvent event)`
`org.eclipse.swt.widgets.Control` `getControl()`
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`void` `init(org.eclipse.ui.part.IPageSite pageSite)`
`void` `onStateChanged(PaneState state)`
`void` `removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `setFocus()`
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection)`
`void` `update()`

### Methods inherited from class org.eclipse.ui.part.Page

`getSite, makeContributions, setActionBars`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NavigatorViewPage

    public NavigatorViewPage(MultiPaneEditor editor)

### Method Detail

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `createControl` in interface `org.eclipse.ui.part.IPage`
Specified by:
  `createControl` in class `org.eclipse.ui.part.Page`

#### getControl

    public org.eclipse.swt.widgets.Control getControl()

Specified by:
  `getControl` in interface `org.eclipse.ui.part.IPage`
Specified by:
  `getControl` in class `org.eclipse.ui.part.Page`

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `org.eclipse.ui.part.IPage`
Specified by:
  `setFocus` in class `org.eclipse.ui.part.Page`

#### update

    public void update()

#### doubleClick

    public void doubleClick(org.eclipse.jface.viewers.DoubleClickEvent event)

Specified by:
  `doubleClick` in interface `org.eclipse.jface.viewers.IDoubleClickListener`

#### init

    public void init(org.eclipse.ui.part.IPageSite pageSite)

Specified by:
  `init` in interface `org.eclipse.ui.part.IPageBookViewPage`
Overrides:
  `init` in class `org.eclipse.ui.part.Page`

#### onStateChanged

    public void onStateChanged(PaneState state)

Specified by:
  `onStateChanged` in interface `NavigatorState.IStateChangeListener`

#### addSelectionChangedListener

    public void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

Specified by:
  `addSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

#### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

Specified by:
  `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

#### removeSelectionChangedListener

    public void removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

Specified by:
  `removeSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

#### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection)

Specified by:
  `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.ui.part.IPage`
Overrides:
  `dispose` in class `org.eclipse.ui.part.Page`